Subject: Re: [PATCH net-next 01/15] devlink: add value check to devlink_info_version_put()

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Apr 2025 09:33:56 -0700

On Mon, 14 Apr 2025 14:28:31 +0200 Przemek Kitszel wrote:
> On 4/11/25 13:11, Edward Cree wrote:
> > On 09/04/2025 18:25, Nelson, Shannon wrote:  
> >> On 4/9/2025 7:39 AM, Jakub Kicinski wrote:  
> > AFAICT the argument on the other side is "it makes the driver look bad",
> >   which has (expletive)-all to do with engineering.
> > Value often comes from firmware, anyway, in which case driver's (& core's)
> >   job is to be a dumb pipe, not go around 'validating' things.  
> 
> that way we will stick with the ugly, repetitive, overly bloated code,
> repetitive and hard to fix in all places, (and repetitive) drivers
> 
> yeah, good that we bikeshed on something so simple :)
> If anyone is "strongly opposed", please say so once more, and we will
> drop this patch. Otherwise we are going to keep it.

Unrelated (I think?) this is a relatively big series so I don't want 
to race with it, but I think we should rename the defines. 

DEVLINK_INFO_VERSION_GENERIC_x -> DEVLINK_VER_x ?

You did some major devlink refactors, maybe you want to take this on? :)
The 40 char defines lead to pretty ugly wrapping, and make constructs
like:

	if (something)
		devlink_info_version_running_put(...

impossible. We could also rename the helpers to s/_version// ..